############################################
# Warning
#   This package must be handled 
#   via /svn/soft/build_system/iurt/trunk/
############################################

%define name iurt
%define release %mkrel 2

Name:		%{name}
Version:	0.6.19
Release:	%{release}
License:	GPLv2+
Summary:	Packages rebuilder
Group:		Development/Other
URL:		http://svnweb.mageia.org/soft/build_system/iurt/trunk/
Source:		%{name}-%{version}.tar.xz
BuildArch:	noarch
Requires:	sudo
# for testsuite:
BuildRequires:	perl-RPM4 perl-File-Lockf mdv-distrib-tools perl-MIME-tools
BuildRequires:	perl-File-NCopy perl-Mkcd-Commandline perl-String-Escape
BuildRequires:	perl-Sys-Load


%description
iurt is a collection of tools to create an automatic rebuild system. It
contains the rebuild script, iurt, as well as the scheduler, ulri, and the
upload script, emi.

%prep
%setup -q -n %{name}-%{version}

%install
%makeinstall DESTDIR=$RPM_BUILD_ROOT

%check
# (tv) check that iurt loads OK:
perl -Ilib ./iurt --help

%files
%doc NEWS
%{_bindir}/emi
%{_bindir}/iurt
%{_bindir}/ulri
%{_sbindir}/iurt_root_command
%{perl_vendorlib}/Iurt



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.6.19-2.mga4
+ Revision: 521317
- Mageia 4 Mass Rebuild

  + danf <danf>
    - package the NEWS file
    - use an HTTP URL

* Sun Jan 20 2013 pterjan <pterjan> 0.6.19-1.mga3
+ Revision: 389849
- 0.6.19
 * fix missing used function in emi and ulri
 * use unique tmpfile for dumping macros

* Sat Jan 12 2013 umeabot <umeabot> 0.6.18-2.mga3
+ Revision: 354594
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 pterjan <pterjan> 0.6.18-1.mga3
+ Revision: 351117
- 0.6.18
 * fix potentially non uploaded packages on one arch

* Wed Jan 02 2013 pterjan <pterjan> 0.6.17-1.mga3
+ Revision: 337704
- 0.6.17
 * write not_on_this_arch to status file
 * fix support of non distro specific arch/mandatory_arch

* Mon Dec 31 2012 pterjan <pterjan> 0.6.16-1.mga3
+ Revision: 336797
- 0.6.16
 * fix chroot cleaning in parallel mode
 * fix for some packages missing from status file

* Mon Dec 10 2012 pterjan <pterjan> 0.6.15-1.mga3
+ Revision: 329433
- 0.6.15
 * fix status file in parallel mode
 * get rid of cache and concurrent mode
 * don't mention srpms in unknown state in the status file
- Fix license

* Mon Dec 10 2012 pterjan <pterjan> 0.6.14-1.mga3
+ Revision: 329332
- Add BuildRequires
- 0.6.14
 * kill build if nothing is printed for 5 minutes and
   system is idle
 * write status file even if the build is successful
 * allow setting some env variables to define and default to
   setting PERL_EXTUTILS_AUTOINSTALL and PERL_AUTOINSTALL to
   --skipdeps
 * emi: allow setting per distro mandatory_arch
 * ulri: allow setting per distro arch
 * support parallel build

* Thu Nov 01 2012 pterjan <pterjan> 0.6.13-1.mga3
+ Revision: 311830
- 0.6.13
- use rpmbuild/ rather than rpm/
  (need invalidating chroots)
- various code cleanups and simplification
  0.6.12
- mount /dev/shm as tmpfs using the helper, safer
- enforce presence of the archs we want

  + tv <tv>
    - rip BuildRoot

* Wed Sep 12 2012 tv <tv> 0.6.11-1.mga3
+ Revision: 293119
- mount /dev/shm as --bind like other mount points (mga#7329)

* Mon Sep 10 2012 tv <tv> 0.6.10-1.mga3
+ Revision: 291589
- fix false positive when looking for errors
- fix always telling to rebuild
- only rely on exit code to assess success or faillure of urpm
  (greping for errors leaded to false positives)

* Sun Sep 02 2012 tv <tv> 0.6.9-1.mga3
+ Revision: 287401
- failing to mount /dev/pts is not a fatal error

* Sun Sep 02 2012 tv <tv> 0.6.8-2.mga3
+ Revision: 287394
- BR perl-File-NCopy perl-Mkcd-Commandline perl-String-Escape for testsuite
- BR perl-MIME-tools for testsuite
- BR mdv-distrib-tools for testsuite
- BR perl-File-Lockf for testsuite
- BR perl-RPM4 for testsuite
- add a basic 'testsuite' ensuring that iurt loads OK

* Sat Sep 01 2012 tv <tv> 0.6.8-1.mga3
+ Revision: 287113
- fix import loop

* Fri Aug 31 2012 tv <tv> 0.6.7-1.mga3
+ Revision: 286783
- fix removing chroots
- internal cleanups
- log not cleaning chroots due mount points still being there
- mount /dev/shm in chroots too (needed for eg: python)

* Wed Aug 15 2012 pterjan <pterjan> 0.6.6-1.r5364.1.mga3
+ Revision: 281419
- Update to new svn snapshot
 * Fixes default media name (s/Main/Core/)
 * Improves chroot handling
 * Support using btrfs snaphots

* Mon Mar 26 2012 tv <tv> 0.6.6-1.r3852.1.mga2
+ Revision: 226966
- always show why iurt got killed when free space or log size is an issue
- better error messages when running as root or w/o sudo
- kill unused/untested features
- make it load the needed File::lockf module
- simplified code
- require sudo (mga#5112)

* Wed Mar 21 2012 pterjan <pterjan> 0.6.6-1.r3553.1.mga2
+ Revision: 225557
- Update to latest svn
 * Accept synthesis files with less than 1000 packages
 * Kill unionfs support
 * Lock the log file when writing to allow sharing it
 * Do not use --buildrequires for non src rpms

* Sun Mar 11 2012 pterjan <pterjan> 0.6.6-1.r3264.1.mga2
+ Revision: 222581
- Update to latest svn

* Sun Feb 05 2012 boklm <boklm> 0.6.6-1.mga2
+ Revision: 204701
- new version

* Mon Jan 02 2012 pterjan <pterjan> 0.6.5-0.r2556.1.mga2
+ Revision: 189731
- Set packager tag to "user <user>"
- Send emails to user@<domain>
- Use mageia maintainers database
- Update to latest svn:
 - Use a different directory for each arch on build machine, avoid problems when both arch of the same package are built on the same node at the same time
 - Fix section extraction
- stop installing suggests
- allow giving additional macros to iurt
- handle building for multiple sections
- add missing arch compat cases for arm
- give up chroot creation when untar fails

* Sun May 15 2011 pterjan <pterjan> 0.6.5-0.r877.2.mga1
+ Revision: 98931
- Rebuild for fixed find-requires

* Wed Apr 13 2011 pterjan <pterjan> 0.6.5-0.r877.1.mga1
+ Revision: 84788
- Update to r877

* Tue Apr 05 2011 blino <blino> 0.6.5-0.r855.1.mga1
+ Revision: 80611
- new snapshot:
  o use mga-youri-submit
  o stop using mdv-youri-core

* Wed Mar 23 2011 blino <blino> 0.6.5-0.r720.1.mga1
+ Revision: 75922
- install meta-task first for prefer.vendor.list to be used

* Thu Mar 17 2011 blino <blino> 0.6.5-0.r683.1.mga1
+ Revision: 73539
- update to r683
- iurt:
  o always use basesystem-minimal instead of basesystem
  o when building chroot, do not use --distrib but use media from
    base_media in config
  o ignore gpg-pubkey packages in installed packages list (boklm)
  o backport a one-liner fix from mdv: "it should say where it lacks
    disk space" (bogdano, tv)
- emi: Upload packages in submission order (pterjan)

* Tue Feb 15 2011 boklm <boklm> 0.6.5-0.r351.1.mga1
+ Revision: 51896
- remove require on mkcd

  + pterjan <pterjan>
    - Update to r351

  + blino <blino>
    - new version

* Tue Jan 18 2011 pterjan <pterjan> 0.6.4-7.r320.0.mga1
+ Revision: 23610
- Update to r320

* Tue Jan 18 2011 pterjan <pterjan> 0.6.4-7.r319.0.mga1
+ Revision: 23593
- Update to r319

* Mon Jan 17 2011 pterjan <pterjan> 0.6.4-7.r312.0.mga1
+ Revision: 21472
- Update to r312

* Wed Nov 10 2010 boklm <boklm> 0.6.4-7.r122.0.mga1
+ Revision: 8
- imported package iurt

